package com.nokia.financeapi.dao.car;

import com.nokia.financeapi.pojo.dto.GetCarNoticeDto;
import com.nokia.financeapi.pojo.vo.GetCarNoticeVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface CarResourceMapMapper {
    /**
     * 获取公告
     */
    @Select("""
select * from car.notices
where city = #{dto.city}
order by create_time desc
""")
    List<GetCarNoticeVo> getNotice(@Param("dto") GetCarNoticeDto dto);
}
